Bug 726962 - Review Request: wmweather - Applet which shows local weather conditions
Summary: Review Request: wmweather - Applet which shows local weather conditions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-31 13:49 UTC by Mario Blättermann
Modified: 2011-08-28 05:44 UTC (History)
2 users (show)

Fixed In Version: wmweather-2.4.5-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-26 19:09:49 UTC
iarnell: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mario Blättermann 2011-07-31 13:49:17 UTC
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/wmWeather.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/wmWeather-1.31-1.fc15.src.rpm
Description:
wmWeather is a dockapp that displays the local weather conditions, using the
values provided from some weather services.

$ rpmlint -i -v *
wmWeather.i686: I: checking
wmWeather.i686: W: spelling-error %description -l en_US dockapp -> dock app, dock-app, paddock
The value of this tag appears to be misspelled. Please double-check.

wmWeather.i686: I: checking-url http://www.dockapps.org/file.php/id/17 (timeout 10 seconds)
wmWeather.i686: W: no-manual-page-for-binary GrabWeather
Each executable in standard binary directories should have a man page.

wmWeather.src: I: checking
wmWeather.src: W: spelling-error %description -l en_US dockapp -> dock app, dock-app, paddock
The value of this tag appears to be misspelled. Please double-check.

wmWeather.src: I: checking-url http://www.dockapps.org/file.php/id/17 (timeout 10 seconds)
wmWeather.src: I: checking-url http://www.dockapps.org/download.php/id/24/wmWeather-1.31.tar.gz (timeout 10 seconds)
wmWeather-debuginfo.i686: I: checking
wmWeather-debuginfo.i686: I: checking-url http://www.dockapps.org/file.php/id/17 (timeout 10 seconds)
wmWeather-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/wmWeather-1.31/Src/wmWeather.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

3 packages and 0 specfiles checked; 1 errors, 3 warnings.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3241265

Comment 1 Mario Blättermann 2011-07-31 14:19:18 UTC
Please don't review for the time being, because it causes buffer overflows. Just seen there are newer versions available from http://people.debian.org/~godisch/wmweather/. I will update the package soon.

Comment 2 Mario Blättermann 2011-07-31 16:06:40 UTC
New files:
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/wmweather.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/wmweather-2.4.5-1.fc15.src.rpm

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3241337

$ rpmlint -i -v *
wmweather.i686: I: checking
wmweather.i686: W: spelling-error %description -l en_US dockapp -> dock app, dock-app, paddock
The value of this tag appears to be misspelled. Please double-check.

wmweather.i686: I: checking-url http://people.debian.org/~godisch/wmweather/ (timeout 10 seconds)
wmweather.src: I: checking
wmweather.src: W: spelling-error %description -l en_US dockapp -> dock app, dock-app, paddock
The value of this tag appears to be misspelled. Please double-check.

wmweather.src: I: checking-url http://people.debian.org/~godisch/wmweather/ (timeout 10 seconds)
wmweather.src: I: checking-url http://ftp.de.debian.org/debian/pool/main/w/wmweather/wmweather_2.4.5.orig.tar.gz (timeout 10 seconds)
wmweather.x86_64: I: checking
wmweather.x86_64: W: spelling-error %description -l en_US dockapp -> dock app, dock-app, paddock
The value of this tag appears to be misspelled. Please double-check.

wmweather.x86_64: I: checking-url http://people.debian.org/~godisch/wmweather/ (timeout 10 seconds)
wmweather-debuginfo.i686: I: checking
wmweather-debuginfo.i686: I: checking-url http://people.debian.org/~godisch/wmweather/ (timeout 10 seconds)
wmweather-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/wmweather-2.4.5/src/wmweather.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

wmweather-debuginfo.x86_64: I: checking
wmweather-debuginfo.x86_64: I: checking-url http://people.debian.org/~godisch/wmweather/ (timeout 10 seconds)
wmweather-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/wmweather-2.4.5/src/wmweather.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

5 packages and 0 specfiles checked; 2 errors, 3 warnings.

Comment 3 Mario Blättermann 2011-08-11 19:21:45 UTC
The "Group" tag was missing.

New files:
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/wmweather.spec
SRPM URL:
http://mariobl.fedorapeople.org/Review/SRPMS/wmweather-2.4.5-2.fc15.src.rpm

Comment 4 Iain Arnell 2011-08-13 06:58:29 UTC
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=3270259

Comment 5 Iain Arnell 2011-08-13 07:12:00 UTC
A nice clean simple package. Spelling "error" can be ignored. I assume you've informed upstream about the incorrect FSF address.

APPROVED.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3270259

Spec looks sane, clean and consistent; license is correct (GPLv2+).

Source tarballs match upstream (sha1sum):
bb42dabd7e25e8996a50daf6623f9dda555eabdf wmweather_2.4.5.orig.tar.gz
bb42dabd7e25e8996a50daf6623f9dda555eabdf wmweather_2.4.5.orig.tar.gz.srpm

Final provides / requires are sane:

======> wmweather-2.4.5-2.fc17.src.rpm <======
====> rpmlint
wmweather.src: I: enchant-dictionary-not-found de
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> spelling
wmweather.src: W: spelling-error %description -l en_US dockapp -> dock app, dock-app, paddock
====> provides
====> requires
curl-devel  
libXext-devel  
libXpm-devel  
====> obsoletes
====> conflicts

======> wmweather-2.4.5-2.fc17.x86_64.rpm <======
====> rpmlint
wmweather.x86_64: I: enchant-dictionary-not-found de
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> spelling
wmweather.x86_64: W: spelling-error %description -l en_US dockapp -> dock app, dock-app, paddock
====> provides
config(wmweather) = 2.4.5-2.fc17
wmweather = 2.4.5-2.fc17
wmweather(x86-64) = 2.4.5-2.fc17
====> requires
config(wmweather) = 2.4.5-2.fc17
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.14)(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.3.4)(64bit)  
libc.so.6(GLIBC_2.3)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
libc.so.6(GLIBC_2.7)(64bit)  
libcurl.so.4()(64bit)  
libX11.so.6()(64bit)  
libXext.so.6()(64bit)  
libXpm.so.4()(64bit)  
rtld(GNU_HASH)  
xorg-x11-fonts-misc  
====> obsoletes
====> conflicts

======> wmweather-debuginfo-2.4.5-2.fc17.x86_64.rpm <======
====> rpmlint
wmweather-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/wmweather-2.4.5/src/wmweather.c
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
====> provides
wmweather-debuginfo = 2.4.5-2.fc17
wmweather-debuginfo(x86-64) = 2.4.5-2.fc17
====> requires
====> obsoletes
====> conflicts


====> mock install
INFO: mock.py version 1.1.12 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
Mock Version: 1.1.12
INFO: Mock Version: 1.1.12
State Changed: lock buildroot
INFO: installing package(s): wmweather-2.4.5-2.fc17.x86_64.rpm wmweather-debuginfo-2.4.5-2.fc17.x86_64.rpm
INFO: Ignored option -c (probably due to merging -yc != -y -c)

================================================================================
 Package             Arch   Version      Repository                        Size
================================================================================
Installing:
 wmweather           x86_64 2.4.5-2.fc17 /wmweather-2.4.5-2.fc17.x86_64   110 k
 wmweather-debuginfo x86_64 2.4.5-2.fc17 /wmweather-debuginfo-2.4.5-2.fc17.x86_64
                                                                          205 k
Installing for dependencies:
 fontconfig          x86_64 2.8.0-4.fc16 fedora                           183 k
 freetype            x86_64 2.4.6-1.fc17 fedora                           362 k
 libX11              x86_64 1.4.4-1.fc17 fedora                           581 k
 libX11-common       noarch 1.4.4-1.fc17 fedora                           174 k
 libXau              x86_64 1.0.6-2.fc15 fedora                            24 k
 libXext             x86_64 1.2.0-2.fc15 fedora                            33 k
 libXfont            x86_64 1.4.3-2.fc15 fedora                           131 k
 libXpm              x86_64 3.5.8-3.fc15 fedora                            58 k
 libfontenc          x86_64 1.1.0-1.fc16 fedora                            26 k
 libxcb              x86_64 1.7-3.fc16   fedora                           100 k
 xorg-x11-font-utils x86_64 1:7.5-6.fc15 fedora                            75 k
 xorg-x11-fonts-misc noarch 7.5-4.fc17   fedora                           5.8 M

Transaction Summary
================================================================================
Install      14 Package(s)

Total size: 7.8 M
Total download size: 7.5 M
Installed size: 9.4 M

Installed:
  wmweather.x86_64 0:2.4.5-2.fc17   wmweather-debuginfo.x86_64 0:2.4.5-2.fc17  

Dependency Installed:
  fontconfig.x86_64 0:2.8.0-4.fc16                                              
  freetype.x86_64 0:2.4.6-1.fc17                                                
  libX11.x86_64 0:1.4.4-1.fc17                                                  
  libX11-common.noarch 0:1.4.4-1.fc17                                           
  libXau.x86_64 0:1.0.6-2.fc15                                                  
  libXext.x86_64 0:1.2.0-2.fc15                                                 
  libXfont.x86_64 0:1.4.3-2.fc15                                                
  libXpm.x86_64 0:3.5.8-3.fc15                                                  
  libfontenc.x86_64 0:1.1.0-1.fc16                                              
  libxcb.x86_64 0:1.7-3.fc16                                                    
  xorg-x11-font-utils.x86_64 1:7.5-6.fc15                                       
  xorg-x11-fonts-misc.noarch 0:7.5-4.fc17                                       


State Changed: unlock buildroot
State Changed: end

Comment 6 Mario Blättermann 2011-08-13 18:08:47 UTC
New Package SCM Request
=======================
Package Name: wmweather
Short Description: Applet which shows local weather conditions
Owners: mariobl
Branches: f15 f16

Comment 7 Gwyn Ciesla 2011-08-13 19:37:34 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-08-13 20:21:27 UTC
wmweather-2.4.5-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/wmweather-2.4.5-2.fc16

Comment 9 Fedora Update System 2011-08-13 20:21:35 UTC
wmweather-2.4.5-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/wmweather-2.4.5-2.fc15

Comment 10 Fedora Update System 2011-08-15 20:24:22 UTC
wmweather-2.4.5-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 11 Fedora Update System 2011-08-26 19:09:43 UTC
wmweather-2.4.5-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 12 Fedora Update System 2011-08-28 05:44:16 UTC
wmweather-2.4.5-2.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.